compiling zygrib-6.1.4 on ubuntu 10.04

Image Ici on parle français ou anglais, comme on veut, comme on peut.
Image Here we speak french or english, as we want, as we can.

Moderator: jza

Forum rules
Image Ici on parle français ou anglais, comme on veut, comme on peut, mais on n'oublie jamais que l'on discute entre humains.
Il ne faut surtout pas oublier les mots magiques: bonjour, salut, merci, etc.
Les messages impolis sont rejetés et restent sans réponse.
Il faut souvent être patient, car il y a plein d'autres activités encore plus passionantes dans notre vie.

Image Here we speak french or english, as we want, as we can, but we never forget that we discuss between humans.
Do not forget the magic words: hello, hi, thank you, etc.
Rude messages are rejected and remain unanswered.
It is often necessary to be patient because there are many other activities even more exciting in our life.
Post Reply
pitufo
Posts: 2
Joined: 17 Nov 2011 14:29

compiling zygrib-6.1.4 on ubuntu 10.04

Post by pitufo » 26 Oct 2013 02:20

hi guys,
i've installed qt4 and qwt-6.1.0 (compiled from source) and i get the following errors when compiling zygrib:

$ make

rm -f ./zyGrib
cd src; /usr/bin/qmake; make -j5
make[1]: Entering directory `/home/feldi/Downloads/zyGrib-6.1.4/src'
g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Icurvedrawer -I/usr/include/qwt -I/usr/local/qwt6/include -Iobjs -IGUI -o objs/CurveDrawer.o curvedrawer/CurveDrawer.cpp
g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Icurvedrawer -I/usr/include/qwt -I/usr/local/qwt6/include -Iobjs -IGUI -o objs/CustomQwtClasses.o curvedrawer/CustomQwtClasses.cpp
g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Icurvedrawer -I/usr/include/qwt -I/usr/local/qwt6/include -Iobjs -IGUI -o objs/MbluePlot.o MbluePlot.cpp
g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Icurvedrawer -I/usr/include/qwt -I/usr/local/qwt6/include -Iobjs -IGUI -o objs/BoardPanel.o BoardPanel.cpp
g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Icurvedrawer -I/usr/include/qwt -I/usr/local/qwt6/include -Iobjs -IGUI -o objs/ColorScale.o ColorScale.cpp
In file included from curvedrawer/CurveDrawer.cpp:13:
curvedrawer/CurveDrawer.h:31:29: error: qwt_legend_item.h: No such file or directory
In file included from curvedrawer/CustomQwtClasses.cpp:8:
curvedrawer/CustomQwtClasses.h:46: error: ‘QwtPlotCanvas’ has not been declared
MbluePlot.cpp:165: warning: unused parameter ‘arrowsColor’
curvedrawer/CustomQwtClasses.cpp:55: error: ‘QwtPlotCanvas’ has not been declared
curvedrawer/CustomQwtClasses.cpp: In constructor ‘CustomQwtPicker::CustomQwtPicker(int, int, QwtPicker::RubberBand, QwtPickerMachine*, QwtPicker::DisplayMode, int*, const QDateTime&, QwtPlotCurve*)’:
curvedrawer/CustomQwtClasses.cpp:56: error: no matching function for call to ‘QwtPlotPicker::QwtPlotPicker(int&, int&, QwtPicker::RubberBand&, QwtPicker::DisplayMode&, int*&)’
/usr/local/qwt6/include/qwt_plot_picker.h:37: note: candidates are: QwtPlotPicker::QwtPlotPicker(int, int, QwtPicker::RubberBand, QwtPicker::DisplayMode, QWidget*)
/usr/local/qwt6/include/qwt_plot_picker.h:35: note: QwtPlotPicker::QwtPlotPicker(int, int, QWidget*)
/usr/local/qwt6/include/qwt_plot_picker.h:32: note: QwtPlotPicker::QwtPlotPicker(QWidget*)
/usr/local/qwt6/include/qwt_plot_picker.h:28: note: QwtPlotPicker::QwtPlotPicker(const QwtPlotPicker&)
curvedrawer/CustomQwtClasses.cpp: In member function ‘void CustomQwtPicker::updEndPoints(const QPointF&, const QPointF&) const’:
curvedrawer/CustomQwtClasses.cpp:139: error: ‘QwtPointArrayData’ was not declared in this scope
curvedrawer/CustomQwtClasses.cpp:139: error: expected primary-expression before ‘)’ token
curvedrawer/CustomQwtClasses.cpp:139: error: expected ‘)’ before ‘qwtCurve’
curvedrawer/CustomQwtClasses.cpp:141: error: expected primary-expression before ‘)’ token
curvedrawer/CustomQwtClasses.cpp:141: error: expected ‘)’ before ‘qwtCurve’
make[1]: *** [objs/CustomQwtClasses.o] Error 1
make[1]: *** Waiting for unfinished jobs....
In file included from curvedrawer/CurveDrawer.h:24,
from curvedrawer/CurveDrawer.cpp:13:
curvedrawer/CustomQwtClasses.h:46: error: ‘QwtPlotCanvas’ has not been declared
In file included from curvedrawer/CurveDrawer.cpp:13:
curvedrawer/CurveDrawer.h:106: error: ISO C++ forbids declaration of ‘QwtLegend’ with no type
curvedrawer/CurveDrawer.h:106: error: expected ‘;’ before ‘*’ token
curvedrawer/CurveDrawer.cpp: In member function ‘void CurveDrawer::initDataPlot(const int&)’:
curvedrawer/CurveDrawer.cpp:401: error: no matching function for call to ‘CustomQwtPicker::CustomQwtPicker(QwtPlot::Axis, QwtPlot::Axis, QwtPicker::RubberBand, QwtPickerClickRectMachine*, QwtPicker::DisplayMode, QWidget*, QDateTime&, QwtPlotCurve*&)’
curvedrawer/CustomQwtClasses.h:46: note: candidates are: CustomQwtPicker::CustomQwtPicker(int, int, QwtPicker::RubberBand, QwtPickerMachine*, QwtPicker::DisplayMode, int*, const QDateTime&, QwtPlotCurve*)
curvedrawer/CustomQwtClasses.h:44: note: CustomQwtPicker::CustomQwtPicker(const CustomQwtPicker&)
curvedrawer/CurveDrawer.cpp:408: error: ‘qwtLegend’ was not declared in this scope
curvedrawer/CurveDrawer.cpp:408: error: ‘QwtLegend’ has not been declared
curvedrawer/CurveDrawer.cpp: In member function ‘void CurveDrawer::activateLegend(QwtPlotItem*, bool)’:
curvedrawer/CurveDrawer.cpp:592: error: invalid use of incomplete type ‘struct QwtAbstractLegend’
/usr/local/qwt6/include/qwt_plot.h:23: error: forward declaration of ‘struct QwtAbstractLegend’
curvedrawer/CurveDrawer.cpp:594: error: ‘QwtLegendItem’ was not declared in this scope
curvedrawer/CurveDrawer.cpp:594: error: expected primary-expression before ‘)’ token
curvedrawer/CurveDrawer.cpp:594: error: expected ‘)’ before ‘qWid’
curvedrawer/CurveDrawer.cpp: In member function ‘bool CurveDrawer::privateConstructor()’:
curvedrawer/CurveDrawer.cpp:741: error: ‘qwtLegend’ was not declared in this scope
curvedrawer/CurveDrawer.cpp:741: error: expected type-specifier before ‘QwtLegend’
curvedrawer/CurveDrawer.cpp:741: error: expected ‘;’ before ‘QwtLegend’
make[1]: *** [objs/CurveDrawer.o] Error 1
make[1]: Leaving directory `/home/feldi/Downloads/zyGrib-6.1.4/src'
make: *** [zyGrib] Error 2



Any comments/suggestions/help would be highly apreciated. Thanks for your effort!
Christian

jza
Site Admin
Posts: 599
Joined: 19 Jan 2009 00:22

Re: compiling zygrib-6.1.4 on ubuntu 10.04

Post by jza » 26 Oct 2013 09:30

Hi,
You need to install qwt version >= 6.0.0
A+
Jacques

coogor
Posts: 43
Joined: 29 Mar 2010 10:04

Re: compiling zygrib-6.1.4 on ubuntu 10.04

Post by coogor » 30 Oct 2013 14:29

is 6.1.0 not >= 6.0.0?
I noticed that qwt 6.1 breaks the build of zyGrib as well - some changes to 6.1 obviously.
Two ways...update zygrib to be compatible to qwt 6.1, or use qwt 6.0 for zyGrib 6.1.4

jza
Site Admin
Posts: 599
Joined: 19 Jan 2009 00:22

Re: compiling zygrib-6.1.4 on ubuntu 10.04

Post by jza » 02 Nov 2013 13:38

Oops, I read too fast the first message :oops:

The next release of zyGrib will contain the source code of a compatible qwt version.
I know, it's bad in theory, but in practice there are too much problems of compatibility between different versions of qwt.
A+
Jacques

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest